Bug 125511 - [GTK][CMake] libtool-compatible soversion calculation
Summary: [GTK][CMake] libtool-compatible soversion calculation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks: 115966
  Show dependency treegraph
 
Reported: 2013-12-10 07:16 PST by Gustavo Noronha (kov)
Modified: 2013-12-23 06:42 PST (History)
6 users (show)

See Also:


Attachments
Patch (8.33 KB, patch)
2013-12-22 20:24 PST, Martin Robinson
no flags Details | Formatted Diff | Diff
Fix ChangeLog (8.50 KB, patch)
2013-12-22 20:34 PST, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Noronha (kov) 2013-12-10 07:16:38 PST
We should support at least darwin, bsd and gnu.
Comment 1 Martin Robinson 2013-12-22 20:24:52 PST
Created attachment 219889 [details]
Patch
Comment 2 Martin Robinson 2013-12-22 20:34:01 PST
Created attachment 219891 [details]
Fix ChangeLog
Comment 3 Martin Robinson 2013-12-22 21:20:55 PST
(In reply to comment #2)
> Created an attachment (id=219891) [details]
> Fix ChangeLog

Windows, Darwin and Linux all have the same calculation. The current patch doesn't do anything different for FreeBSD, but it's not clear to me yet that this is a problem.
Comment 4 Gustavo Noronha (kov) 2013-12-23 05:29:32 PST
Comment on attachment 219891 [details]
Fix ChangeLog

Nice!
Comment 5 Martin Robinson 2013-12-23 06:42:19 PST
Committed r160994: <http://trac.webkit.org/changeset/160994>